# BlockDoc API Documentation

This directory contains the comprehensive API documentation for the BlockDoc Python package.

## Table of Contents

### Core Components

- [Block](block.md) - The block class that represents individual content blocks
- [BlockDocDocument](document.md) - The main document class for creating and manipulating BlockDoc documents

### Renderers

- [HTML Renderer](renderers/html.md) - Renders BlockDoc documents to HTML
- [Markdown Renderer](renderers/markdown.md) - Renders BlockDoc documents to Markdown

### Utilities

- [Sanitization](utils/sanitize.md) - Utilities for sanitizing HTML and URLs

## Getting Started

For a quick introduction to using BlockDoc, see the [Getting Started](../tutorials/getting-started.md) tutorial.

## Complete Documentation

For more detailed information about BlockDoc, check out:

- [Formal Specification](../spec/blockdoc-specification.md)
- [Tutorials](../tutorials/)
- [Examples](../../examples/)